<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Top Event
 * @since  Top Event 1.0.0
 */

$wp_customize->add_section( 'top_event_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','top-event' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'top-event' ),
		'panel'             => 'top_event_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'top_event_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'top_event_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  Top_Event_Switch_Control( $wp_customize,
	'top_event_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'top-event' ),
			'section'          	=> 'top_event_breadcrumb',
			'on_off_label' 		=> top_event_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'top_event_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'top_event_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'top-event' ),
		'active_callback' 	=> 'top_event_is_breadcrumb_enable',
		'section'          	=> 'top_event_breadcrumb',
	)
);
